
****************
*table1
****************
use "Data/merge.dta",clear

balancetable (mean) (mean if female==0) (mean if female==1) (diff female) poor stem restudy local age_at_gaokao total_4 total_gaokao using results/table1.xlsx,replace 


****************
*figure1
****************
use "Data/merge.dta",clear

**********总样本**********
twoway ///
kdensity ztotal_4 if female==1 , lc(black) ///
|| kdensity ztotal_4 if female==0 , lc(gs9) lp(longdash) ///
, xtitle("模考", size(Medium)) ytitle("Density", size(Medium)) ///
xscale(range(-5 5)) xlabel(-5(1)5) yscale(range(0 0.5)) ylabel(0(0.1)0.5,nogrid) graphregion(color(white)) legend(order(2 "男生" 1 "女生" ) size(small)) 
graph save "results/figure1_Mock4",replace

twoway ///
kdensity ztotal_gaokao if female==1 , lc(black) ///
|| kdensity ztotal_gaokao if female==0 , lc(gs9) lp(longdash) ///
, xtitle("高考", size(Medium)) ytitle("Density", size(Medium)) ///
xscale(range(-5 5)) xlabel(-5(1)5) yscale(range(0 0.5)) ylabel(0(0.1)0.5,nogrid)  graphregion(color(white)) legend(order(2 "男生" 1 "女生") size(small)) 
graph save "results/figure1_Gaokao",replace


**********非贫困生**********
twoway ///
kdensity ztotal_gaokao if female==1 & poor==0, lc(black) ///
|| kdensity ztotal_gaokao if female==0 & poor==0, lc(gs9) lp(longdash) ///
, xtitle("高考", size(Medium)) ytitle("Density", size(Medium)) legend(order(2 "男生" 1 "女生" ) size(small)) ///
xscale(range(-5 5)) xlabel(-5(1)5) yscale(range(0 0.5)) ylabel(0(0.1)0.5,nogrid) graphregion(color(white))
graph save "results/figure1_Gaokao_nonpoor",replace

twoway ///
kdensity ztotal_4 if female==1 & poor==0, lc(black) ///
|| kdensity ztotal_4 if female==0 & poor==0, lc(gs9) lp(longdash) ///
, xtitle("模考", size(Medium)) ytitle("Density", size(Medium)) legend(order(2 "男生" 1 "女生") size(small)) ///
xscale(range(-5 5)) xlabel(-5(1)5) yscale(range(0 0.5)) ylabel(0(0.1)0.5,nogrid) graphregion(color(white))
graph save "results/figure1_Mock4_nonpoor",replace


**********贫困生**********
twoway ///
kdensity ztotal_gaokao if female==1 & poor==1, lc(black) ///
|| kdensity ztotal_gaokao if female==0 & poor==1, lc(gs9) lp(longdash) ///
, xtitle("高考", size(Medium)) ytitle("Density", size(Medium)) legend(order(2 "男生" 1 "女生") size(small)) ///
xscale(range(-5 5)) xlabel(-5(1)5) yscale(range(0 0.5)) ylabel(0(0.1)0.5,nogrid) graphregion(color(white))
graph save "results/figure1_Gaokao_poor",replace

twoway ///
kdensity ztotal_4 if female==1 & poor==1, lc(black) ///
|| kdensity ztotal_4 if female==0 & poor==1, lc(gs9) lp(longdash) ///
, xtitle("模考", size(Medium)) ytitle("Density", size(Medium)) legend(order(2 "男生" 1 "女生") size(small)) ///
xscale(range(-5 5)) xlabel(-5(1)5) yscale(range(0 0.5)) ylabel(0(0.1)0.5,nogrid) graphregion(color(white))
graph save "results/figure1_Mock4_poor",replace



****************
*table2
****************
use "Data/merge.dta",clear

**********总样本**********
reg dztotal_4 female i.gradeyear i.class, cluster(class)
outreg2 using results/table2.xml, se  nocons  bdec(3) sdec(3) keep(female) replace

reg dztotal_4 female restudy stem i.age_at_gaokao local i.gradeyear i.class, cluster(class)
outreg2 using results/table2.xml, se  nocons  bdec(3) sdec(3) keep(female) append

**********理科生**********
reg dztotal_4 female i.gradeyear i.class if stem==1 ,cluster(class)
outreg2 using results/table2.xml, se  nocons  bdec(3) sdec(3) keep(female) append

reg dztotal_4 female restudy stem i.age_at_gaokao local i.gradeyear i.class if stem==1 ,cluster(class)
outreg2 using results/table2.xml, se  nocons  bdec(3) sdec(3) keep(female) append

**********文科生**********
reg dztotal_4 female i.gradeyear i.class if stem==0, cluster(class)
outreg2 using results/table2.xml, se  nocons  bdec(3) sdec(3) keep(female) append

reg dztotal_4 female restudy stem i.age_at_gaokao local i.gradeyear i.class if stem==0, cluster(class)
outreg2 using results/table2.xml, se  nocons  bdec(3) sdec(3)  keep(female) append



****************
*table3
****************
use "Data/merge.dta",clear

**********总样本**********
reg dztotal_4 female##poor restudy stem i.age_at_gaokao local i.gradeyear i.class , cluster(class)
outreg2 using results/table3.xml, se  nocons  bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) replace

**********理科生**********
reg dztotal_4 female##poor restudy i.age_at_gaokao local i.gradeyear i.class if stem==1 , cluster(class) 
outreg2 using results/table3.xml, se  nocons  bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) append

**********文科生**********
reg dztotal_4 female##poor restudy i.age_at_gaokao local i.gradeyear i.class if stem==0 , cluster(class) 
outreg2 using results/table3.xml, se  nocons  bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) append



****************
*table4
****************
use "Data/merge.dta",clear

**985/211大学
reg dztotal_4 female##poor restudy stem local i.age_at_gaokao i.gradeyear i.class if (stem==1 & ztotal_4>=p86_stem_m4) | (stem==0 & ztotal_4>=p95_nonstem_m4)
outreg2 using results/table4.xml, se  nocons  bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) replace

**一本
reg dztotal_4 female##poor restudy stem age_at_gaokao local i.gradeyear i.class if (stem==1 & ztotal_4>=p61_stem_m4 & ztotal_4<p86_stem_m4)|(stem==0 & ztotal_4>=p78_nonstem_m4 & ztotal_4<p95_nonstem_m4) 
outreg2 using results/table4.xml, se  nocons  bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) append

**二本
reg dztotal_4 female##poor restudy stem age_at_gaokao local i.gradeyear i.class if (stem==1 & ztotal_4>=p16_stem_m4 & ztotal_4<p61_stem_m4)|(stem==0 & ztotal_4>=p23_nonstem_m4 & ztotal_4<p78_nonstem_m4) 
outreg2 using results/table4.xml, se  nocons  bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) append

**高职高专
reg dztotal_4 female##poor restudy stem age_at_gaokao local i.gradeyear i.class if (stem==1 & ztotal_4<p16_stem_m4)|(stem==0 & ztotal_4<p23_nonstem_m4) 
outreg2 using results/table4.xml, se  nocons  bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) append



****************
*table5
****************
use "Data/merge.dta",clear
**语文
reg dzchinese_4 female##poor restudy stem age_at_gaokao local i.gradeyear i.class, cluster(class) 
outreg2 using results/table5.xml, se  nocons bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) replace
**数学
reg dzmath_4 female##poor restudy stem age_at_gaokao local i.gradeyear i.class, cluster(class) 
qui sum dzmath_4
outreg2 using results/table5.xml, se  nocons bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) append
**综合
reg dzcomprehensive_4 female##poor restudy stem i.age_at_gaokao local i.gradeyear i.class, cluster(class) 
outreg2 using results/table5.xml, se  nocons bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) append
**英语
reg dzenglish_4 female##poor restudy stem age_at_gaokao local i.gradeyear i.class, cluster(class) 
outreg2 using results/table5.xml, se  nocons  bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) append



****************
*table6
****************
use "Data/outcome.dta",clear

**全样本
probit good_outcome female poor female_poor restudy stem age_at_gaokao local i.gradeyear i.class,r
margins ,dydx(female poor female_poor) post
outreg2 using results/table6.xml, se  nocons  bdec(3) sdec(3) keep(female poor female_poor) replace

*不同分数段子样本
forvalues i = 1(1)3{
probit good_outcome_level_`i' female poor female_poor restudy stem age_at_gaokao local i.gradeyear i.class,r
margins ,dydx(female poor female_poor) post
outreg2 using results/table6.xml, se  nocons  bdec(3) sdec(3) keep(female poor female_poor) append
}


****************
*table7
****************
use "Data/merge.dta",clear

**将男生样本分为训练样本和测试样本，并进行lasso建模，利用得到的模型对女生样本预测“反事实”分数
splitsample if female==0, generate(sample) nsplit(2) rseed(1234)
lasso linear total_gaokao chinese_4 math_4 english_4 comprehensive_4 restudy stem poor i.age_at_gaokao local i.class if sample==1, rseed(1234) 
predict p_total_gaokao if female==1,xb 

**标准化“反事实”分数
gen p_ztotal_gaokao = .
forvalues i=2014/2022{
egen p_ztotal1_gaokao= std(p_total_gaokao) if stem==1 & gaokaoyear==`i'
egen p_ztotal0_gaokao= std(p_total_gaokao) if stem==0 & gaokaoyear==`i'
replace p_ztotal_gaokao = p_ztotal1_gaokao if stem==1 & gaokaoyear==`i'
replace p_ztotal_gaokao = p_ztotal0_gaokao if stem==0 & gaokaoyear==`i'
drop p_ztotal1_gaokao p_ztotal0_gaokao
}
gen dtotal=ztotal_gaokao-p_ztotal_gaokao
keep if female==1

**回归
reg dtotal poor restudy stem i.age_at_gaokao local i.gradeyear i.class , cluster(class) 
outreg2 using results/table7.xml, se nocons bdec(3) sdec(3) keep(poor) replace

xi:reg dtotal poor restudy stem age_at_gaokao local i.gradeyear i.class if (stem==1 & ztotal_4>=p86_stem_m4) | (stem==0 & ztotal_4>=p95_nonstem_m4), cluster(class) 
outreg2 using results/table7.xml, se  nocons  bdec(3) sdec(3) keep(poor) append

xi:reg dtotal poor restudy stem age_at_gaokao local i.gradeyear i.class if (stem==1 & ztotal_4>=p61_stem_m4 & ztotal_4<p86_stem_m4)|(stem==0 & ztotal_4>=p78_nonstem_m4 & ztotal_4<p95_nonstem_m4), cluster(class) 
outreg2 using results/table7.xml, se  nocons  bdec(3) sdec(3) keep(poor) append

xi:reg dtotal poor restudy stem age_at_gaokao local i.gradeyear i.class if (stem==1 & ztotal_4>=p16_stem_m4 & ztotal_4<p61_stem_m4)|(stem==0 & ztotal_4>=p23_nonstem_m4 & ztotal_4<p78_nonstem_m4), cluster(class) 
outreg2 using results/table7.xml, se  nocons  bdec(3) sdec(3) keep(poor) append




