****************
*figure A1
****************
**********总样本**********
use "Data/outcome.dta",clear

collapse (mean) mean= good_outcome (sd) sd=good_outcome (count) n=good_outcome , by(female poor)
generate hi = mean + invttail(n-1,0.025)*(sd / sqrt(n))
generate lo = mean - invttail(n-1,0.025)*(sd / sqrt(n))

sort poor female
gen xgroup=_n
replace xgroup=xgroup*2-1+poor

graph twoway  (bar mean xgroup if female==0, color(gs8) barwidth(1.2)) ///
(bar mean xgroup if female==1, color(gs2)  barwidth(1.2)) ///
(rcap hi lo xgroup,lcolor(gs0)) ///
,legend(off) ///
xlabel( 1 "男生" 2 `" " " "非贫困生" "' 3 "女生"  6 "男生" 7 `" " " "贫困生" "' 8 "女生", noticks labsize(large)) xscale(range(0 9)) ///
yscale(range(0 1)) ylabel(0(0.2)1,nogrid labsize(large)) ///
xtitle("") ytitle("概率",size(large)) ///
title("Panel(a) 总样本",position(6) size(large) color(balck)) ///
plotregion(fcolor(white))  graphregion(fcolor(white) lcolor(white)) ///
xsize(12) ysize(10)

graph export "results/figureA1_full.pdf",replace

**********985/211**********
use "Data/outcome.dta",clear
keep if student_level==1 //只看有能力考入985/211大学的学生样本

collapse (mean) mean= good_outcome (sd) sd=good_outcome (count) n=good_outcome , by(female poor)
generate hi = mean + invttail(n-1,0.025)*(sd / sqrt(n))
generate lo = mean - invttail(n-1,0.025)*(sd / sqrt(n))

sort poor female
gen xgroup=_n
replace xgroup=xgroup*2-1+poor

graph twoway  (bar mean xgroup if female==0, color(gs8) barwidth(1.2)) ///
(bar mean xgroup if female==1, color(gs2)  barwidth(1.2)) ///
(rcap hi lo xgroup,lcolor(gs0)) ///
,legend(off) ///
xlabel( 1 "男生" 2 `" " " "非贫困生" "' 3 "女生"  6 "男生" 7 `" " " "贫困生" "' 8 "女生", noticks labsize(large)) xscale(range(0 9)) ///
yscale(range(0 1)) ylabel(0(0.2)1,nogrid labsize(large)) ///
xtitle("") ytitle("概率",size(large)) ///
title("Panel(b) 985/211大学",position(6) size(large) color(balck)) ///
plotregion(fcolor(white))  graphregion(fcolor(white) lcolor(white)) ///
xsize(12) ysize(10)
graph export "results/figureA1_1.pdf",replace

**********tier1**********
use "Data/outcome.dta",clear
keep if student_level==2 //只看有能力考入普通一本大学的学生样本

collapse (mean) mean= good_outcome (sd) sd=good_outcome (count) n=good_outcome , by(female poor)
generate hi = mean + invttail(n-1,0.025)*(sd / sqrt(n))
generate lo = mean - invttail(n-1,0.025)*(sd / sqrt(n))

sort poor female
gen xgroup=_n
replace xgroup=xgroup*2-1+poor

graph twoway  (bar mean xgroup if female==0, color(gs8) barwidth(1.2)) ///
(bar mean xgroup if female==1, color(gs2)  barwidth(1.2)) ///
(rcap hi lo xgroup,lcolor(gs0)) ///
,legend(off) ///
xlabel( 1 "男生" 2 `" " " "非贫困生" "' 3 "女生"  6 "男生" 7 `" " " "贫困生" "' 8 "女生", noticks labsize(large)) xscale(range(0 9)) ///
yscale(range(0 1)) ylabel(0(0.2)1,nogrid labsize(large)) ///
xtitle("") ytitle("概率",size(large)) ///
title("Panel(c) 一本大学",position(6) size(large) color(balck)) ///
plotregion(fcolor(white))  graphregion(fcolor(white) lcolor(white)) ///
xsize(12) ysize(10)

graph export "results/figureA1_2.pdf",replace

****************
*table A2
****************
use "Data/merge.dta",clear

balancetable (mean) (mean if female==0) (mean if female==1) (diff female) total_4 chinese_4 math_4 comprehensive_4 english_4 total_gaokao chinese_gaokao math_gaokao comprehensive_gaokao english_gaokao using results/tableA2.xlsx,replace 



****************
*table A3
****************
use "Data/outcome.dta",clear

balancetable (mean if gaokaoyear==2014 & stem==1) (mean if gaokaoyear==2015 & stem==1) (mean if gaokaoyear==2016 & stem==1) (mean if gaokaoyear==2017 & stem==1)  tier1 tier2 tier3 tier4 using results/tableA3_stem.xlsx, replace

balancetable (mean if gaokaoyear==2014 & stem==0) (mean if gaokaoyear==2015 & stem==0) (mean if gaokaoyear==2016 & stem==0) (mean if gaokaoyear==2017 & stem==0)   tier1 tier2 tier3 tier4 using results/tableA3_nonstem.xlsx, replace


****************
*table A5
****************
use "Data/merge.dta",clear

reg dztotal_4 female##poor stem i.age_at_gaokao local i.gradeyear i.class if restudy==0, cluster(class) 
outreg2 using results/tableA5.xml, se  nocons  bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) replace

reg dztotal_4 female##poor stem i.age_at_gaokao local i.gradeyear i.class if restudy==1, cluster(class) 
outreg2 using results/tableA5.xml, se  nocons  bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) append



****************
*table A6
****************
use "Data/merge.dta",clear

forvalues i=0/1{
xi:reg dzchinese_4 female##poor restudy age_at_gaokao local i.gradeyear i.class if stem==`i', cluster(class) 
outreg2 using results/tableA6_`i'.xml, se  nocons  bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) replace

xi:reg dzmath_4 female##poor restudy age_at_gaokao local i.gradeyear i.class if stem==`i', cluster(class) 
outreg2 using results/tableA6_`i'.xml, se  nocons  bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) append

xi:reg dzcomprehensive_4 female##poor restudy age_at_gaokao local i.gradeyear i.class if stem==`i', cluster(class) 
outreg2 using results/tableA6_`i'.xml, se  nocons  bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) append

xi:reg dzenglish_4 female##poor restudy age_at_gaokao local i.gradeyear i.class if stem==`i', cluster(class) 
outreg2 using results/tableA6_`i'.xml, se  nocons  bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) append
}


****************
*table A7
****************
use "Data/outcome.dta",clear

balancetable (mean if poor==1&female==1) (mean if poor==1&female==0)  (mean if poor==0&female==1) (mean if poor==0&female==0)   good_outcome good_outcome_level_1 good_outcome_level_2 good_outcome_level_3 using  results/tableA7.xlsx,replace  



****************
*table A8
****************
use "Data/merge.dta",clear
splitsample if female==0, generate(sample) nsplit(2) rseed(1234)

foreach var in  "chinese" "math" "comprehensive" "english"{ 
lasso linear `var'_gaokao chinese_4 math_4 english_4 comprehensive_4 restudy stem poor i.age_at_gaokao local i.class if sample==1, rseed(1234) 
predict p_`var'_gaokao if female==1,xb 
gen p_z`var'_gaokao = .
forvalues i=2014/2022{
egen p_z`var'1_gaokao= std(p_`var'_gaokao) if stem==1 & gaokaoyear==`i'
egen p_z`var'0_gaokao= std(p_`var'_gaokao) if stem==0 & gaokaoyear==`i'
replace p_z`var'_gaokao = p_z`var'1_gaokao if stem==1 & gaokaoyear==`i'
replace p_z`var'_gaokao = p_z`var'0_gaokao if stem==0 & gaokaoyear==`i'
drop p_z`var'1_gaokao p_z`var'0_gaokao
}
gen d`var'=z`var'_gaokao-p_z`var'_gaokao
}
keep if female==1

xi:reg dchinese poor restudy stem age_at_gaokao local i.gradeyear i.class, cluster(class) 
outreg2 using results/tableA8.xml, se  nocons  bdec(3) sdec(3) keep(poor) replace
foreach var in "math" "comprehensive" "english"{ 
reg d`var' poor restudy stem age_at_gaokao local i.gradeyear i.class, cluster(class)
outreg2 using results/tableA8.xml, se  nocons  bdec(3) sdec(3) keep(poor) append
}



****************
*table A9
****************
use "Data/merge.dta",clear
**不包括第二年数据缺失的年份及当年为复读生的样本
drop if gaokaoyear==2022 | gaokaoyear==2017
drop if restudy==1

reg restudy1 female##poor i.ztotal_4_group i.ztotal_group stem local age_at_gaokao i.class
outreg2 using results/tableA9.xml, se  nocons  bdec(3) sdec(3) keep(1.female#1.poor 1.female 1.poor) replace



****************
*table A10
****************
use "Data/merge.dta",clear
reg dztotal_4 age_at_gaokao poor female restudy stem local i.class if restudy==0,cluster(class)
outreg2 using results/tableA10.xml,keep(age_at_gaokao female poor) se nocons bdec(3) sdec(3)  replace



****************
*table A11
****************
use "Data/merge.dta",clear
reg age_at_gaokao poor##female stem local i.class if restudy==0,cluster(class)
outreg2 using results/tableA11.xml, se nocons  bdec(3) sdec(3) keep(1.poor#1.female 1.female 1.poor) replace



****************
*table A12
****************
use "data/survey.dta", clear
reg dwelling_school poor##female restudy stem age_at_gaokao local_hukou i.class,cluster(class)
outreg2 using results/tableA12.xml, se nocons bdec(3) sdec(3) keep(1.poor#1.female 1.female 1.poor) replace



****************
*table A13
****************
use "data/survey.dta", clear
reg dztotal_4 dwelling_school female poor restudy stem age_at_gaokao local_hukou i.class,cluster(class)
outreg2 using results/tableA13.xml,keep(dwelling_school female poor) se  nocons  bdec(3) sdec(3)  replace



****************
*table II2
****************
use "Data/merge.dta",clear

balancetable (mean if gradeyear==2011) (mean if gradeyear==2012) (mean if gradeyear==2013) (mean if gradeyear==2014) (mean if gradeyear==2016) (mean if gradeyear==2017) (mean if gradeyear==2018) (mean if gradeyear==2019) poor using results/tableII2.xlsx,replace 



****************
*table IV1
****************
use "Data/merge.dta",clear

**方法（1）
reg dztotal_4 female poor female_poor restudy stem i.age_at_gaokao local i.gradeyear i.class , cluster(class)

local Rmax = 0.028 * 1.3
psacalc beta female_poor, delta(-1) rmax(`Rmax') 

**方法（2）
reg dztotal_4 female poor female_poor restudy stem i.age_at_gaokao local i.gradeyear i.class , cluster(class)

local Rmax = 0.028 * 1.3
psacalc delta female_poor, beta(0) rmax(`Rmax') 
